<?php
include_once("connect.php");
include_once("funciones.php");

$op = isset($_REQUEST['op']) ? $_REQUEST['op'] : '';
$id = isset($_REQUEST['id']) ? "'".$_REQUEST['id']."'" : '0';
$act_tipo = isset($_POST['act_tipo']) ? $_POST['act_tipo'] : '0';

function nombre_agencia($v_agencia="") 
{
	if ($v_agencia) {
		$query = "SELECT nombre FROM departamentos WHERE IdDepartamento = " . $v_agencia;
		$res2=mysql_query($query);
		$agencia = mysql_fetch_array($res2);
		$agencia_ver = $agencia['nombre'];
		return $agencia_ver;
	}
}

function nombre_entidad($v_entidad="", $v_agencia="") 
{
	if ($v_entidad) {
		$query = "SELECT nombre FROM entidades WHERE IdDepartamento = " . $v_agencia . " AND IdEntidad = " . $v_entidad;
		$res2=mysql_query($query);
		$entidad = mysql_fetch_array($res2);
		$entidad_ver = $entidad['nombre'];
		return $entidad_ver;
	}
}
		
function tipo($v_negocio="") 
{
	if ($v_negocio) {
		$query = "SELECT Descripcion FROM tipos WHERE IdTipo= " . $v_negocio;
		$res5=mysql_query($query);
		$negocio= mysql_fetch_array($res5);
		$negocio_ver = $negocio['Descripcion'];
		return utf8_encode($negocio_ver);
	}
}
		
function funciones_v($v_funcion="")
{
	if ($v_funcion) {
		$query = "SELECT Descripcion FROM funciones WHERE IdFuncion = " . $v_funcion;
		$res=mysql_query($query);
		$func_datos = mysql_fetch_array($res);
		$funcion_ver = $func_datos['Descripcion'];
		return $funcion_ver;
	}
}

function estados_v($v_estado="")
{
	if ($v_estado) {
		$query = "SELECT Nombre FROM estados WHERE IdEstado = " . $v_estado;
		$res=mysql_query($query);
		$est_datos = mysql_fetch_array($res);
		$est_ver = $est_datos['Nombre'];
		return utf8_encode($est_ver);
	}
}
		

switch($op)
{
	case 'load':
		$query = "SELECT Codigo, FechaInicio, IdDepartamento, IdEntidad, Nombre, Descripcion, IdEstado, NombreResponsable, IdTipo, IdFuncion FROM programas WHERE IdPrograma = " . $id;
		$res=mysql_query($query);
		$inversion = mysql_fetch_array($res);
		
		$fecha = $inversion['FechaInicio'];
		$fecha = explode(' ',$fecha);
		$fecha = explode('-',$fecha[0]);
		$fecha = $fecha[2] . '/' . $fecha[1] . '/' . $fecha[0];

		xmlDoc();
		print '	<data>'."\n".
					'<codigo>'.$inversion['Codigo'].'</codigo>'."\n".
					'<fechaalta>'.$fecha.'</fechaalta>'."\n".
					'<agencia>'.$inversion['IdDepartamento'].'</agencia>'."\n".
					'<entidad>'.$inversion['IdEntidad'].'</entidad>'."\n".
					'<tipo>'.$inversion['IdTipo'].'</tipo>'."\n".
					'<funcion>'.$inversion['IdFuncion'].'</funcion>'."\n".
					'<nombre>'.$inversion['Nombre'].'</nombre>'."\n".
					'<descripcion>'.$inversion['Descripcion'].'</descripcion>'."\n".
					'<responsablenombre>'.$inversion['NombreResponsable'].'</responsablenombre>'."\n".
					'<estado>'.$inversion['IdEstado'].'</estado>'."\n".
			  	'</data>';
		break;
	
	case 'load2':
		$query = "SELECT IdEntidad, IdDepartamento FROM programas WHERE IdPrograma = " . $id;
		$res=mysql_query($query);
		$inversion = mysql_fetch_array($res);
		
		xmlDoc();
		print '	<data>'."\n".
					'<entidad>'.$inversion['IdEntidad'].'</entidad>'."\n".
				'</data>';
		break;

	case 'loadnames':
		$query = "SELECT Codigo, FechaInicio, IdDepartamento, IdEntidad, Nombre, Descripcion, IdEstado, NombreResponsable, IdTipo, IdFuncion FROM programas WHERE IdPrograma = " . $id;
		$res=mysql_query($query);
		$inversion = mysql_fetch_array($res);
		
		$fecha = $inversion['FechaInicio'];
		$fecha = explode(' ',$fecha);
		$fecha = explode('-',$fecha[0]);
		$fecha = $fecha[2] . '/' . $fecha[1] . '/' . $fecha[0];

		xmlDoc();
		print '	<data>'."\n".
					'<codigo>'.$inversion['Codigo'].'</codigo>'."\n".
					'<fechaalta>'.$fecha.'</fechaalta>'."\n".
					'<agencia>'.nombre_agencia($inversion['IdDepartamento']).'</agencia>'."\n".
					'<entidad>'.nombre_entidad($inversion['IdEntidad'],$inversion['IdDepartamento']).'</entidad>'."\n".
					'<tipo>'.tipo($inversion['IdTipo']).'</tipo>'."\n".
					'<funcion>'.funciones_v($inversion['IdFuncion']).'</funcion>'."\n".
					'<nombre>'.muestraStr($inversion['Nombre']).'</nombre>'."\n".
					'<descripcion>'.muestraStr($inversion['Descripcion']).'</descripcion>'."\n".
					'<responsablenombre>'.muestraStr($inversion['NombreResponsable']).'</responsablenombre>'."\n".
					'<estado>'.estados_v($inversion['IdEstado']).'</estado>'."\n".
			  	'</data>';
		break;

	case "delete":
		mysql_query("START TRANSACTION");
		//eliminar en programas  
		$query = "DELETE FROM programas WHERE IdPrograma = $id";
		$query2 = "DELETE FROM presupuestos WHERE IdPrograma = $id";
		$query3 = "DELETE FROM progreso WHERE IdProyecto in (Select IdProyecto FROM proyectos WHERE IdPrograma = $id)";
		$query4 = "DELETE FROM baseline WHERE IdProyecto in (Select IdProyecto FROM proyectos WHERE IdPrograma = $id)";
		$query5 = "DELETE FROM proyectos WHERE IdPrograma = $id";
		$query6 = "DELETE FROM contratos WHERE IdPrograma = $id";
       	if(mysql_query($query) && mysql_query($query2) && mysql_query($query3) && mysql_query($query4) && mysql_query($query5) && mysql_query($query6))
		{
			mysql_query("COMMIT");
			print("Programa eliminado correctamente");
		}
		else
		{
			mysql_query("ROLLBACK");
			die("Error al eliminar programa");
		}
		break;
		
	case 'rep':
		$v_codigob = isset($_POST['codigob']) && $_POST['codigob']!='null' && !empty($_POST['codigob']) ? $_POST['codigob'] : 0;
		$v_codigo = "'".utf8_decode($_POST['codigo'])."'";
		$query = "SELECT * FROM programas WHERE Codigo = $v_codigo AND IdPrograma <> $v_codigob";
		$RS = mysql_query($query);
		if(mysql_num_rows($RS)>0)
			print("repetido");
		else
			print("");
		break;

	default:
		$codigob = $_POST['codigob'] ? $_POST['codigob'] : $_POST['act_id'];
		$codigo = "'".utf8_decode($_POST['codigo'])."'";
		$fechaalta = "'".$_POST['fecha']."'";
		$agencia = ($_POST['agencia'] != '') ? $_POST['agencia'] : 0;
		$entidad = ($_POST['entidad'] != '') ? $_POST['entidad'] : 0;
		$funcion = ($_POST['funcion'] != '') ? $_POST['funcion'] : 0;
		$tipo = ($_POST['tipo'] != '') ? "'".$_POST['tipo']."'" : "'00'";
		$nombre = "'".utf8_decode($_POST['nombre'])."'";
		$descripcion = ($_POST['descripcion']!="undefined") ? "'".utf8_decode($_POST['descripcion'])."'" : 'NULL';
		$responsablenombre = !empty($_POST['responsablenombre']) ?  "'".utf8_decode($_POST['responsablenombre'])."'" : 'NULL';
		$anio = ($_POST['anio'] > 0) ? ($_POST['anio']) : date('Y');
		$estado = !empty($_POST['estado']) ? $_POST['estado'] : 0;
		
		//guardar en programas  
		if($act_tipo == 1)
			$query = "INSERT INTO programas (Codigo, FechaInicio, Periodo, Nombre, Descripcion, NombreResponsable, IdDepartamento, IdEntidad, IdTipo, IdFuncion, IdEstado, Activo) VALUES ($codigo, $fechaalta, $anio, $nombre, $descripcion, $responsablenombre, $agencia, $entidad, $tipo, $funcion, $estado, '1' )";
		else
			$query = "UPDATE programas SET Codigo = $codigo, FechaInicio = $fechaalta, Periodo = $anio, Nombre = $nombre, Descripcion = $descripcion, NombreResponsable = $responsablenombre, IdDepartamento = $agencia, IdEntidad = $entidad, IdTipo = $tipo, IdFuncion = $funcion, IdEstado = $estado, AltaPrioridad = 0 WHERE IdPrograma = $codigob";
		if(mysql_query($query))
		{
			if(!$codigob)
				$codigob = mysql_insert_id();
				
			print("Datos del Programa Almacenados correctamente||$codigob");
		}
		else
			die("Error al Almacenar Datos de Programa");
		break;
}
mysql_close();

?>